ComponentAuditedPropertiesReader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration.metadata.reader
Class ComponentAuditedPropertiesReader

    java.lang.Object
      org.hibernate.envers.configuration.metadata.reader.AuditedPropertiesReader
          org.hibernate.envers.configuration.metadata.reader.ComponentAuditedPropertiesReader

    public class ComponentAuditedPropertiesReader

extends AuditedPropertiesReader

Reads the audited properties for components.

Field Summary

Fields inherited from class org.hibernate.envers.configuration.metadata.reader.AuditedPropertiesReader
`defaultStore`

Constructor Summary
`ComponentAuditedPropertiesReader(ModificationStore defaultStore, PersistentPropertiesSource persistentPropertiesSource, AuditedPropertiesHolder auditedPropertiesHolder, GlobalConfiguration globalCfg, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager, String propertyNamePrefix)`

Method Summary
`protected boolean` | `checkAudited(org.hibernate.annotations.common.reflection.XProperty property, PropertyAuditingData propertyData, Audited allClassAudited)`

Methods inherited from class org.hibernate.envers.configuration.metadata.reader.AuditedPropertiesReader
`checkUsingModifiedFlag, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAuditedPropertiesReader

    public ComponentAuditedPropertiesReader(ModificationStore defaultStore,
                                            PersistentPropertiesSource persistentPropertiesSource,
                                            AuditedPropertiesHolder auditedPropertiesHolder,
                                            GlobalConfiguration globalCfg,
                                            org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager,
                                            String propertyNamePrefix)

Method Detail

### checkAudited

    protected boolean checkAudited(org.hibernate.annotations.common.reflection.XProperty property,
                                   PropertyAuditingData propertyData,
                                   Audited allClassAudited)

  Overrides:
    `checkAudited` in class `AuditedPropertiesReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.